<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Debugging</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Debugging<br/>
<small>
[<a class="el" href="group__internal.html">Implementation</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_debug.html#ga232755cd38f88fb8294db362cb2be107">phpCAS::backtrace</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_debug.html#ga92fcedb5a6fa8bd08bcfdde22d01c1eb">phpCAS::log</a> ($str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_debug.html#ga11258505b061aae4683a3717206c187c">phpCAS::error</a> ($msg)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_debug.html#ga8939d840392aa6cf54b57f2e28b77419">phpCAS::trace</a> ($str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_debug.html#ga96b9ac0ffbf2ee8c4754c6ca878eb2d6">phpCAS::traceBegin</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_debug.html#gaf19e79b09517570e32a8e597a096dc76">phpCAS::traceEnd</a> ($res='')</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_debug.html#ga38887ed1896e7ba9f0e440a3d8ef17ae">phpCAS::traceExit</a> ()</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga232755cd38f88fb8294db362cb2be107"></a><!-- doxytag: member="phpCAS::backtrace" ref="ga232755cd38f88fb8294db362cb2be107" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::backtrace </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is a wrapper for debug_backtrace() that is not available in all PHP versions (&gt;= 4.3.0 only) </p>

</div>
</div>
<a class="anchor" id="ga11258505b061aae4683a3717206c187c"></a><!-- doxytag: member="phpCAS::error" ref="ga11258505b061aae4683a3717206c187c" args="($msg)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::error </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>msg</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used by interface methods to print an error and where the function was originally called from.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$msg</em>&nbsp;</td><td>the message to print </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga92fcedb5a6fa8bd08bcfdde22d01c1eb"></a><!-- doxytag: member="phpCAS::log" ref="ga92fcedb5a6fa8bd08bcfdde22d01c1eb" args="($str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::log </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>str</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Logs a string in debug mode.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$str</em>&nbsp;</td><td>the string to write </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8939d840392aa6cf54b57f2e28b77419"></a><!-- doxytag: member="phpCAS::trace" ref="ga8939d840392aa6cf54b57f2e28b77419" args="($str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::trace </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>str</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to log something in debug mode. </p>

</div>
</div>
<a class="anchor" id="ga96b9ac0ffbf2ee8c4754c6ca878eb2d6"></a><!-- doxytag: member="phpCAS::traceBegin" ref="ga96b9ac0ffbf2ee8c4754c6ca878eb2d6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::traceBegin </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to indicate the start of the execution of a function in debug mode. </p>

</div>
</div>
<a class="anchor" id="gaf19e79b09517570e32a8e597a096dc76"></a><!-- doxytag: member="phpCAS::traceEnd" ref="gaf19e79b09517570e32a8e597a096dc76" args="($res='')" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::traceEnd </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>res</em> = <code>''</code></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to indicate the end of the execution of a function in debug mode.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$res</em>&nbsp;</td><td>the result of the function </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga38887ed1896e7ba9f0e440a3d8ef17ae"></a><!-- doxytag: member="phpCAS::traceExit" ref="ga38887ed1896e7ba9f0e440a3d8ef17ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::traceExit </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to indicate the end of the execution of the program </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
